import java.swing.JApplet;  // java Japplet sinifini cagir
import java.awt.Graphics;   // java pencere kullanma Graphics sinifinicagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class switchApplet extends JApplet implements ActionListener
{
    //sinif degiskenleri
    Label kutubasligi; //Label sinifi degiskeni (nesnesi) kutubasligi
    TextField kutugirdisi;//Textfield sinifi degiskeni (nesnesi) kutugirdisi
    char not;
    int Asayisi=0,Bsayisi=0,Csayisi=0,Dsayisi=0,Esayisi=0,Fsayisi=0;    
    // pencereyi baslatma metodu
    public void init()
    {
    kutubasligi=new Label("Ogrencinin notunu giriniz (A B C.. : ");
    add(kutubasligi);//kutubasligini pencereye yaz
    kutugirdisi=new TextField(5);
    add(kutugirdisi);//kutuyu pencereye yerlestir
    // kutuya yeni ilave edilecek komutlari bekle
    // her yeni komutta actionPerformed metodunu calistir.
    kutugirdisi.addActionListener(this);
    }

    public void paint(Graphics g) 
    {
         g.drawString("Her harf notun toplami : ",25,40);
         g.drawString("A : "+Asayisi,25,55);
         g.drawString("B : "+Bsayisi,25,70);
         g.drawString("C : "+Csayisi,25,85);
         g.drawString("D : "+Dsayisi,25,100);
         g.drawString("E : "+Esayisi,25,115);
         g.drawString("F : "+Fsayisi,25,130);
    }


    // girdi alanindaki olan olaylari dinleme metodu
    public void actionPerformed(ActionEvent e)
    {
    //ogrencinin notunu pencereden oku
    String not1=e.getActionCommand();
    not=not1.charAt(0);
    showStatus(""); // sonu‡ b”lgesindeki yaz¨y¨ sil
    kutugirdisi.setText(""); //kutudaki harfi sil
    switch(not)
    {
      case 'A': case 'a':
        ++Asayisi;
        break;
      case 'B': case 'b':
        ++Bsayisi;
        break;
      case 'C': case 'c':
        ++Csayisi;
        break;
      case 'D': case 'd':
        ++Dsayisi;
        break;
      case 'E': case 'e':
        ++Esayisi;
        break;
      case 'F': case 'f':
        ++Fsayisi;
        break;
      default:
        showStatus("yanl¨s not tan¨mland¨ yani bir not giriniz.");
        break;
    }  // switch deyiminin sonu
    repaint();//pencereyi yeniden paint metoduna gore ciz
    }

}
